> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pathstack.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Devices

> This endpoint returns all Devices that have been created by Connections for your Tenancy.

You can specify the telematics_provider, and it will return only Devices with that provider.

You can specify the tags, and it will return only Devices that have all the tags specified.

The response is paginated, so if the next link is not null, use that link to get the next page of results.



## OpenAPI

````yaml openapi_2024-03-26 get /device
openapi: 3.1.0
info:
  title: FastAPI
  version: '2024-03-26'
servers:
  - url: https://api.pathstack.io
    description: PathStack production environment
security: []
paths:
  /device:
    get:
      tags:
        - Devices
      summary: Devices
      description: >-
        This endpoint returns all Devices that have been created by Connections
        for your Tenancy.


        You can specify the telematics_provider, and it will return only Devices
        with that provider.


        You can specify the tags, and it will return only Devices that have all
        the tags specified.


        The response is paginated, so if the next link is not null, use that
        link to get the next page of results.
      operationId: devices_device_get
      parameters:
        - name: telematics_provider
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/ProviderEnum'
            title: Telematics Provider
            description: Name of the telematics provider
          description: Name of the telematics provider
        - name: connection_id
          in: query
          required: false
          schema:
            type: string
            format: uuid
            title: Data Provider
            description: Connection ID of data provider
          description: Connection ID of data provider
        - name: tags
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
              maxLength: 255
              minLength: 1
            title: Tags
            description: >-
              Tags to include. Use query parameters e.g ?tags=a&tags=b to filter
              for Devices with tags 'a' and 'b'.
          description: >-
            Tags to include. Use query parameters e.g ?tags=a&tags=b to filter
            for Devices with tags 'a' and 'b'.
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            title: Page number
            description: Page number for pagination (zero-indexed)
            default: 0
          description: Page number for pagination (zero-indexed)
        - name: x-api-version
          in: header
          required: false
          schema:
            type: string
            format: date
            default: '2024-03-26'
            title: X-Api-Version
          examples:
            default:
              value: '2024-03-26'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedSuccess_list_Device__'
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: 400
                        title: Error code
                      message:
                        type: string
                        example: Invalid JWT format
                        title: Error message
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: 401
                        title: Error code
                      message:
                        type: string
                        example: >-
                          Authentication header is missing, or token is
                          invalid/expired.
                        title: Error message
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: 403
                        title: Error code
                      message:
                        type: string
                        example: You do not have access to this resource
                        title: Error message
          description: Forbidden
        '422':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: 422
                        title: Error code
                      message:
                        type: string
                        example: Field required
                        title: Error message
                      loc:
                        items:
                          anyOf:
                            - type: string
                            - type: integer
                        type: array
                        title: Location
                      msg:
                        type: string
                        title: Message
                      type:
                        type: string
                        title: Error Type
          description: Unprocessable Entity
      security:
        - JWTBearer: []
components:
  schemas:
    ProviderEnum:
      type: string
      enum:
        - mtdata
        - geotab
        - navman
        - mixtelematics
        - radius
        - verizon_connect
        - volvo
        - fleetsu
        - digital_matter
        - netstar
        - netstar_v2
        - webfleet
        - scania
        - linxio
        - geoforce
        - michelin_connected_fleet
        - navixy
        - netcorp
        - mapon
      title: ProviderEnum
    PaginatedSuccess_list_Device__:
      properties:
        data:
          items:
            $ref: '#/components/schemas/Device'
          type: array
          title: Data
          description: Successful response payload
        links:
          $ref: '#/components/schemas/PaginationLinks'
      type: object
      required:
        - data
        - links
      title: PaginatedSuccess[list[Device]]
    Device:
      properties:
        system_device_id:
          type: string
          title: System Device Id
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        registration:
          anyOf:
            - type: string
            - type: 'null'
          title: Registration
        make:
          anyOf:
            - type: string
            - type: 'null'
          title: Make
        model:
          anyOf:
            - type: string
            - type: 'null'
          title: Model
        year:
          anyOf:
            - type: integer
            - type: 'null'
          title: Year
        active:
          type: boolean
          title: Active
        tags:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Tags
        id:
          type: string
          format: uuid4
          title: Id
        connection_id:
          type: string
          format: uuid4
          title: Connection Id
      type: object
      required:
        - system_device_id
        - registration
        - make
        - model
        - year
        - active
        - tags
        - id
        - connection_id
      title: Device
    PaginationLinks:
      properties:
        previous:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous
        current:
          anyOf:
            - type: string
            - type: 'null'
          title: Current
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
      type: object
      title: PaginationLinks
  securitySchemes:
    JWTBearer:
      type: http
      scheme: bearer

````